EFA(4)

NAME
efa - ELBOX FastATA 1200 IDE disk controller driver

SYNOPSIS
efa0 at mainbus0

DESCRIPTION
The efa driver provides support for the FastATA 1200 family of IDE controllers and provides the interface with the hardware for the ata(4) driver. PIO modes 0, 3, 4 and 5 are supported.

HARDWARE
The efa driver supports the following hardware:

ELBOX FastATA 1200 Mk-III

ELBOX FastATA 1200 Mk-IV

SEE ALSO
ata(4), wdc(4)

HISTORY
The efa device first appeared in NetBSD 6.0.

AUTHORS
-nosplit The efa driver was written by Radoslaw Kujawa <radoslaw.kujawa@gmail.com>.

CAVEATS
Older versions of FastATA 1200 are NOT supported:

ELBOX FastATA 1200 Mk-I

ELBOX FastATA 1200 Lite

ELBOX FastATA 1200 GOLD

ELBOX FastATA 1200 Mk-II

These devices do not generate hardware interrupts and need to be driven in non-standard polling mode. Code needed to support it is present in driver but does not work correctly.

Some of the above devices were also marketed under PowerFlyer and Winner brands.

The onboard Gayle IDE controller can not be used when FastATA is installed and therefore, the efa driver will not coexist with wdc(4) driver attached to mainbus(4). Both efa and wdc(4) can be enabled in the same kernel, but only one will attach (depending on the return value of probe function in the efa driver).

DMA modes are not supported, this is a hardware limitation.

BUGS
Performance is worse than with official AmigaOS driver from ELBOX.

Disks partitioned in split mode, which is specific to official AmigaOS FastATA driver, are not recognized in NetBSD.